OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
squirrel_std.cpp File Reference

Implements the Squirrel Standard Function class. More...

`#include "../stdafx.h"`
`#include <squirrel.h>`
`#include <sqstdmath.h>`
`#include "../debug.h"`
`#include "squirrel_std.hpp"`
`#include "../core/alloc_func.hpp"`
`#include "../core/math_func.hpp"`
`#include "../string_func.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
void | squirrel_register_global_std (Squirrel *engine)
| Register all standard functions that are available on first startup.
void | squirrel_register_std (Squirrel *engine)
| Register all standard functions we want to give to a script.

## Detailed Description

Implements the Squirrel Standard Function class.

Definition in file squirrel_std.cpp.

## Function Documentation

void squirrel_register_global_std | ( | Squirrel * | engine | ) |

Register all standard functions that are available on first startup.

Note
  this set is very limited, and is only meant to load other scripts and things like that.

Definition at line 96 of file squirrel_std.cpp.

References Squirrel::AddMethod(), SquirrelStd::notifyallexceptions(), and SquirrelStd::require().

Referenced by Squirrel::Initialize().